heroku desploy error

46 views
Skip to first unread message

bob kerman

unread,
Jun 28, 2015, 5:55:35 PM6/28/15
to democra...@googlegroups.com
Hello, I am trying to install in heroku and gives me the following error

I appreciate if someone help me

       github remote: see https://github.com/component/guide/blob/master/changelogs/1.0.0.md#required-authentication for more information.
       
          [31m     fatal [m :  [90mno remote found for dependency "marcuswestin/store.js". [m
       
       
       
       npm ERR! Democ...@0.17.6 postinstall: `node ./bin/dos-install --config && node ./bin/dos-build`
       npm ERR! Exit status 1
       npm ERR! 
       npm ERR! Failed at the Democ...@0.17.6 postinstall script.
       npm ERR! This is most likely a problem with the DemocracyOS package,
       npm ERR! not with npm itself.
       npm ERR! Tell the author that this fails on your system:
       npm ERR!     node ./bin/dos-install --config && node ./bin/dos-build
       npm ERR! You can get their info via:
       npm ERR!     npm owner ls DemocracyOS
       npm ERR! There is likely additional logging output above.
       npm ERR! System Linux 3.13.0-49-generic
       npm ERR! command "/tmp/build_5f3171e1919433e67ad99137be49de7f/.heroku/node/bin/node" "/tmp/build_5f3171e1919433e67ad99137be49de7f/.heroku/node/bin/npm" "install" "--unsafe-perm" "--userconfig" "/tmp/build_5f3171e1919433e67ad99137be49de7f/.npmrc"
       npm ERR! cwd /tmp/build_5f3171e1919433e67ad99137be49de7f
       npm ERR! node -v v0.10.39
       npm ERR! npm -v 1.4.28
       npm ERR! code ELIFECYCLE
       npm ERR! 
       npm ERR! Additional logging details can be found in:
       npm ERR!     /tmp/build_5f3171e1919433e67ad99137be49de7f/npm-debug.log
       npm ERR! not ok code 0
-----> Build failed
       
       We're sorry this build is failing! You can troubleshoot common issues here:
       https://devcenter.heroku.com/articles/troubleshooting-node-deploys
       
       Some possible problems:
       
       - This version of npm (1.4.28) has several known issues - consider upgrading to the latest release (2.12.0)
         https://devcenter.heroku.com/articles/nodejs-support#specifying-an-npm-version
       
       Love,
       Heroku

José Fresco

unread,
Jun 28, 2015, 6:04:01 PM6/28/15
to bob kerman, democra...@googlegroups.com
Hi Bob.
You may want to check this guide. You have to set the GITHUB_USERNAME and GITHUB_PASSWORD environment variables.

Cheers,
José. 

--
You received this message because you are subscribed to the Google Groups "DemocracyOS/app" group.
To unsubscribe from this group and stop receiving emails from it, send an email to democracyos-a...@googlegroups.com.
For more options, visit https://groups.google.com/d/optout.

bob kerman

unread,
Jun 28, 2015, 8:48:59 PM6/28/15
to democra...@googlegroups.com, bobker...@gmail.com


upload files to achieve heroku, but when entering the site tells me error of application and database have nothing:



José Fresco

unread,
Jun 29, 2015, 8:49:15 AM6/29/15
to bob kerman, democra...@googlegroups.com
Is your MONGO_URL environment variable pointing to the "heroku_10b78vwv" database?

bob kerman

unread,
Jun 29, 2015, 11:19:50 AM6/29/15
to democra...@googlegroups.com, bobker...@gmail.com


I set all the environment variables, the installation is installed correctly but then does not work

Guido Vilariño

unread,
Jun 29, 2015, 11:49:12 AM6/29/15
to bob kerman, democra...@googlegroups.com
Your GITHUB_PASSWORD is wrong. You should use a github API token, not your account password. You can create one here: https://github.com/settings/tokens/new

Also, change your account password now that you've shared it with us ;)
Reply all
Reply to author
Forward
0 new messages